# 🚀 doup

A command line tool to find and update dockertags in project files.

[![semantic-release: angular](https://img.shields.io/badge/semantic--release-angular-e10079?logo=semantic-release)](https://github.com/semantic-release/semantic-release)
[![pipeline main](https://gitlab.com/doup1/doup/badges/main/pipeline.svg)](https://gitlab.com/doup1/doup/blob/feature/update_readme/README.md)

## Why you should using doup

The version of docker images should not set to `latest` to avoid upgrade nightmares and ensure the stability of your environment.
But containers should also be upgraded regulary to get new features and fixes of security issues.

You have to check for each container individually if a new version is published or not.
`doup` can save you a lot of time and is taking this task from you.

### Example

![example-image](./docs/images/example1.jpg)

## Prepare your project for doup

Each dockerimage has to be marked in the previous line:

```yml
# doup:latest
haproxy_docker_image: haproxy:2.6.2-bullseye
```

- `doup`: doup is looking for lines which contains `doup:*`
- `latest`: the tag on dockerhub which is used to get the latest concrete tag

## QuickSetup

`doup` is published on PyPi and can be installed with `pip install doup`.
Afterwards you should mark some Docker-Version-Strings in your project and run `doup --dry-run`.

## Incoming features

- add output: release date of docker image
- add command: `doup list images`
    - list marked dockertags
- add command:`doup find images`
    - finds not marked dockertags
